# Webhooks

## ☁️ Was sind Webhooks?

Webhooks sind eine hervorragende Möglichkeit, den Befragten und seine Antworten an jeden HTTP-basierten API-Endpunkt zu senden, sobald der Befragte in der ngSurvey-Datenbank erfasst wurde.

## 🔅 Webhook-Eigenschaften

* **`Webhook-URL`** der REST-API oder des HTTP-Servers, der die Übermittlung der Respondent-JSON-Nutzlast empfangen soll.
* **`Payload-Transformationsvorlage`** wird verwendet, um die Struktur der gesendeten JSON-Nutzlast in eine andere benutzerdefinierte Objektstruktur zu ändern.

## 🔤 Post-Format

Der Befragte und seine Antworten werden als JSON-formatierte Nutzlast mittels HTTP POST gesendet. Die Standard-JSON-Nutzlast unten kann mit einer [payload transform template](/de/form-management/tasks/task-items/webhook/webhooks-payload-transform.md).

```javascript
{
  respondent: {
    id: string;
    surveyId: string;
    panelistId: string;
    contextUsername: string
    resumeUId: string;
    resumePageId: string;
    startDate: Date;
    voteDate: Date;
    iPSource: string;
    changeUID: string;
    progressSaveDate: Date;
    languageCode: string;
    timeToEnd: number;
    validated: boolean;        
  },
  answers: [{
      respondentId: string,
      value:string,
      answerId": string,
      answerText": string,
      questionId": string,
      questionAlias": string,
      questionText": string,
      sectionNumber": number
  }],
  visitedPages: [{
    id: string;
    respondentId: string;
    visitTime: string;
  }],
  dataAttributes: [{
    securityItemId: string;
    respondentId: string;
    attributeName: string;
    attributeValue: string;
  }],
  querystring: string
}
```

{% hint style="info" %}
Verschlüsselte Antworten mit [eingeschränkter](/de/data-encryption/data-classification/restricted.md) Datenklassifizierung werden als verschlüsselte PGP-Nachricht gesendet.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ngsurvey.com/de/form-management/tasks/task-items/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
